### Method

# Gtk.CellRenderer.start_editing

#### Declaration [src]

    GtkCellEditable*
    gtk_cell_renderer_start_editing (
      GtkCellRenderer* cell,
      GdkEvent* event,
      GtkWidget* widget,
      const char* path,
      const GdkRectangle* background_area,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

Starts editing the contents of this `cell`, through a new `GtkCellEditable` widget created by the `GtkCellRendererClass`.start_editing virtual function.

#### Parameters

`event` | `GdkEvent*`
| a `GdkEvent`
| Can be `NULL`
| Ownership is not transferred to the callee
`widget` | `GtkWidget`
| widget that received the event
| Ownership is not transferred to the callee
`path` | `const char*`
| widget-dependent string representation of the event location; e.g. for `GtkTreeView`, a string representation of `GtkTreePath`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`background_area` | `const GdkRectangle*`
| background area as passed to `gtk_cell_renderer_render()`
| Ownership is not transferred to the callee
`cell_area` | `const GdkRectangle*`
| cell area as passed to `gtk_cell_renderer_render()`
| Ownership is not transferred to the callee
`flags` | `GtkCellRendererState`
| render flags

#### Return value

Returns: `GtkCellEditable`
A new `GtkCellEditable` for editing this `cell`, or `NULL` if editing is not possible
Ownership is not transferred to the caller
Can be `NULL`